| Home · API Reference · Modules

Classes | Signals | Public Member Functions | List of all members
MImOnScreenPlugins Class Reference
Maliit server

`#include <mimonscreenplugins.h>`

Inheritance diagram for MImOnScreenPlugins:
[legend]

## Classes

class | SubView

## Signals

void | activeSubViewChanged ()
void | enabledPluginsChanged ()

## Public Member Functions

| MImOnScreenPlugins ()
bool | isEnabled (const QString &plugin) const
QList< SubView > | enabledSubViews (const QString &plugin) const
QList< SubView > | enabledSubViews () const
bool | isSubViewEnabled (const SubView &subview) const
void | setEnabledSubViews (const QList< SubView > &subViews)
void | setAutoEnabledSubViews (const QList< SubView > &subViews)
void | updateAvailableSubViews (const QList< SubView > &availableSubViews)
bool | isSubViewAvailable (const SubView &subview) const
bool | isSubViewUnavailable (const SubView &subview) const
void | setAllSubViewsEnabled (bool enable)

## Detailed Description

Check the current status of plugins for a subview.

## Constructor & Destructor Documentation

## ◆ MImOnScreenPlugins()

MImOnScreenPlugins::MImOnScreenPlugins | ( |  | ) |

explicit

## Member Function Documentation

## ◆ activeSubViewChanged

void MImOnScreenPlugins::activeSubViewChanged | ( |  | ) |

signal

## ◆ enabledPluginsChanged

void MImOnScreenPlugins::enabledPluginsChanged | ( |  | ) |

signal

## ◆ enabledSubViews() [1/2]

QList< MImOnScreenPlugins::SubView > MImOnScreenPlugins::enabledSubViews | ( |  | ) | const

## ◆ enabledSubViews() [2/2]

QList< MImOnScreenPlugins::SubView > MImOnScreenPlugins::enabledSubViews | ( | const QString & | plugin | ) | const

## ◆ isEnabled()

bool MImOnScreenPlugins::isEnabled | ( | const QString & | plugin | ) | const

## ◆ isSubViewAvailable()

bool MImOnScreenPlugins::isSubViewAvailable | ( | const SubView & | subview | ) | const

## ◆ isSubViewEnabled()

bool MImOnScreenPlugins::isSubViewEnabled | ( | const SubView & | subview | ) | const

## ◆ isSubViewUnavailable()

bool MImOnScreenPlugins::isSubViewUnavailable | ( | const SubView & | subview | ) | const

## ◆ setAllSubViewsEnabled()

void MImOnScreenPlugins::setAllSubViewsEnabled | ( | bool | enable | ) |

## ◆ setAutoEnabledSubViews()

void MImOnScreenPlugins::setAutoEnabledSubViews | ( | const QList< SubView > & | subViews | ) |

## ◆ setEnabledSubViews()

void MImOnScreenPlugins::setEnabledSubViews | ( | const QList< SubView > & | subViews | ) |

## ◆ updateAvailableSubViews()

void MImOnScreenPlugins::updateAvailableSubViews | ( | const QList< SubView > & | availableSubViews | ) |

Copyright © 2011 Nokia Corporation |  | Maliit